Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class ResourceFactoryImpl

    java.lang.Object
      org.richfaces.resource.ResourceFactoryImpl

All Implemented Interfaces:
  org.richfaces.resource.ResourceFactory

    public class ResourceFactoryImpl

extends java.lang.Object
implements org.richfaces.resource.ResourceFactory

Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.richfaces.resource.ResourceFactory
`DYNAMIC_RESOURCE_MAPPINGS, SKINNED_RESOURCE_PREFIX, STATIC_RESOURCE_MAPPINGS`

Constructor Summary
`ResourceFactoryImpl(javax.faces.application.ResourceHandler defaultHandler)`

Method Summary
`protected javax.faces.application.Resource` | `createDynamicResource(org.richfaces.resource.ResourceKey resourceKey, boolean useDependencyInjection)`
`protected javax.faces.application.Resource` | `createHandlerDependentResource(org.richfaces.resource.ResourceKey resourceKey, java.util.Map<java.lang.String,java.lang.String> parameters)` Should be called only if `#isResourceExists(String)` returns `true`
`javax.faces.application.Resource` | `createResource(javax.faces.context.FacesContext context, org.richfaces.resource.ResourceRequestData resourceData)`
`javax.faces.application.Resource` | `createResource(java.lang.String resourceName, java.lang.String libraryName, java.lang.String contentType)`
`java.util.Collection<org.richfaces.resource.ResourceKey>` | `getMappedDynamicResourceKeys()`
`protected void` | `injectProperties(java.lang.Object resource, java.util.Map<java.lang.String,java.lang.String> parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceFactoryImpl

    public ResourceFactoryImpl(javax.faces.application.ResourceHandler defaultHandler)

Method Detail

### injectProperties

    protected void injectProperties(java.lang.Object resource,
                                    java.util.Map<java.lang.String,java.lang.String> parameters)

### createHandlerDependentResource

    protected javax.faces.application.Resource createHandlerDependentResource(org.richfaces.resource.ResourceKey resourceKey,
                                                                              java.util.Map<java.lang.String,java.lang.String> parameters)

  Should be called only if `#isResourceExists(String)` returns `true`

  Parameters:
    `resourceName` -
  Returns:

### createResource

    public javax.faces.application.Resource createResource(javax.faces.context.FacesContext context,
                                                           org.richfaces.resource.ResourceRequestData resourceData)

  Specified by:
    `createResource` in interface `org.richfaces.resource.ResourceFactory`

### createResource

    public javax.faces.application.Resource createResource(java.lang.String resourceName,
                                                           java.lang.String libraryName,
                                                           java.lang.String contentType)

  Specified by:
    `createResource` in interface `org.richfaces.resource.ResourceFactory`

### createDynamicResource

    protected javax.faces.application.Resource createDynamicResource(org.richfaces.resource.ResourceKey resourceKey,
                                                                     boolean useDependencyInjection)

### getMappedDynamicResourceKeys

    public java.util.Collection<org.richfaces.resource.ResourceKey> getMappedDynamicResourceKeys()

  Specified by:
    `getMappedDynamicResourceKeys` in interface `org.richfaces.resource.ResourceFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.